org.eclipse.viatra.query.patternlanguage.emf.ui

## Class EMFPatternLanguageUiModule

- java.lang.Object
- - org.eclipse.xtext.service.AbstractGenericModule
  - - org.eclipse.xtext.ui.DefaultUiModule
    - - org.eclipse.xtext.common.types.ui.DefaultCommonTypesUiModule
      - - org.eclipse.xtext.xbase.ui.DefaultXbaseUiModule
        - - org.eclipse.viatra.query.patternlanguage.emf.ui.AbstractEMFPatternLanguageUiModule
          - - org.eclipse.viatra.query.patternlanguage.emf.ui.EMFPatternLanguageUiModule

- All Implemented Interfaces:
    com.google.inject.Module

      public class EMFPatternLanguageUiModule
      extends AbstractEMFPatternLanguageUiModule

  Use this class to register components to be used within the IDE.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EMFPatternLanguageUiModule(org.eclipse.ui.plugin.AbstractUIPlugin plugin)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Class<? extends org.eclipse.xtext.common.types.xtext.AbstractTypeScopeProvider>` | `bindAbstractTypeScopeProvider()`
    `java.lang.Class<? extends IAnnotationValidatorLoader>` | `bindAnnotationValidatorLoader()`
    `java.lang.Class<? extends org.eclipse.xtext.builder.preferences.BuilderConfigurationBlock>` | `bindBuilderConfigurationBlock()`
    `java.lang.Class<? extends org.eclipse.xtext.builder.preferences.BuilderPreferenceAccess.Initializer>` | `bindBuilderPreferenceAccess$Initializer()`
    `java.lang.Class<? extends EMFPatternLanguageJavaValidator>` | `bindEMFPatternLanguageJavaValidator()`
    `java.lang.Class<? extends ExtensionGenerator>` | `bindExtensionGenerator()`
    `java.lang.Class<? extends IGenmodelMappingLoader>` | `bindGenmodelMappingLoader()`
    `java.lang.Class<? extends IClassLoaderProvider>` | `bindIClassLoaderProvider()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.editor.embedded.IEditedResourceProvider>` | `bindIEditedResourceProvider()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.editor.hover.html.IEObjectHoverDocumentationProvider>` | `bindIEObjectHoverDocumentationProvider()`
    `java.lang.Class<? extends IVQGenmodelProvider>` | `bindIEVQGenmodelProvider()`
    `java.lang.Class<? extends IExpectedPackageNameProvider>` | `bindIExpectedPackageNameProvider()`
    `org.eclipse.core.runtime.IExtensionRegistry` | `bindIExtensionRegistry()`
    `java.lang.Class<? extends IGenerationFragmentProvider>` | `bindIGenerationFragmentProvider()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.editor.syntaxcoloring.IHighlightingConfiguration>` | `bindIHighlightingConfiguration()`
    `java.lang.Class<? extends IIssueCallback>` | `bindIIssueCallback()`
    `java.lang.Class<? extends org.eclipse.xtext.common.types.access.jdt.IJavaProjectProvider>` | `bindIJavaProjectProvider()`
    `java.lang.Class<? extends org.eclipse.xtext.xbase.jvmmodel.IJvmModelInferrer>` | `bindIJvmModelInferrer()`
    `java.lang.Class<? extends org.eclipse.xtext.common.types.access.IJvmTypeProvider.Factory>` | `bindIJvmTypeProvider$Factory()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.editor.model.IResourceForEditorInputFactory>` | `bindIResourceForEditorInputFactory()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.editor.syntaxcoloring.ISemanticHighlightingCalculator>` | `bindISemanticHighlightingCalculator()`
    `java.lang.Class<? extends org.eclipse.xtext.generator.IShouldGenerate>` | `bindIShouldGenerate()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.ITemplateProposalProvider>` | `bindITemplateProposalProvider()`
    `org.eclipse.core.resources.IWorkspaceRoot` | `bindIWorkspaceRootToInstance()`
    `java.lang.Class<? extends IWorkspaceUtilities>` | `bindIWorkspaceUtilities()`
    `java.lang.Class<? extends org.eclipse.xtext.builder.IXtextBuilderParticipant>` | `bindIXtextBuilderParticipant()`
    `java.lang.Class<? extends org.eclipse.xtext.ui.editor.IXtextEditorCallback>` | `bindIXtextEditorCallback()`
    `java.lang.Class<? extends ITargetPlatformMetamodelLoader>` | `bindTargetPlatformMetamodelLoader()`
    `void` | `configure(com.google.inject.Binder binder)`

    - ### Methods inherited from class org.eclipse.viatra.query.patternlanguage.emf.ui.AbstractEMFPatternLanguageUiModule

      `bindContentAssistContext$Factory, bindDocumentBasedDirtyResource, bindFindReferencesHandler, bindGlobalURIEditorOpener, bindIContentAssistParser, bindIContentProposalProvider, bindIContextualOutputConfigurationProvider, bindIDependentElementsCalculator, bindIJavaSearchParticipation, bindILabelProvider, bindIOccurrenceComputer, bindIOutlineTreeProvider, bindIOutlineTreeStructureProvider, bindIPartialContentAssistParser, bindIProposalConflictHelper, bindIReferenceUpdater, bindIRenameContextFactory, bindIRenameRefactoringProvider, bindIRenameStrategy, bindIRenameStrategy$Provider, bindIRenameSupport$Factory, bindIssueResolutionProvider, bindIViewerCreator, bindJavaTypeQuickfixes, bindJdtRenameParticipant$ContextFactory, bindLanguageRegistrar, bindOpenGeneratedFileHandler, bindOutlineNodeElementOpener, bindPrefixMatcher, bindReferenceQueryExecutor, bindXtextDocumentProvider, bindXtextEditor, bindXtextTemplatePreferencePage, configureBuilderPreferenceStoreInitializer, configureContentAssistLexer, configureContentAssistLexerProvider, configureHighlightingLexer, configureHighlightingTokenDefProvider, configureIPreferenceStoreInitializer, configureIResourceDescriptionsBuilderScope, configureIResourceDescriptionsPersisted, configureJvmMemberRenameStrategy$Provider$Delegate, configureLanguageSpecificURIEditorOpener, configureResourceUIServiceLabelProvider, provideIAllContainersState, provideLanguageRegistry, provideTemplatesLanguageConfiguration`

    - ### Methods inherited from class org.eclipse.xtext.xbase.ui.DefaultXbaseUiModule

      `bindAbstractAntlrTokenToAttributeIdMapper, bindAbstractFileSystemAccess2, bindAbstractJavaBasedContentProposalProvider$ReferenceProposalCreator, bindDefaultQuickfixProvider$CrossRefResolutionConverter, bindEclipseResourceFileSystemAccess2, bindEclipseSourceFolderProvider, bindFoldingActionContributor, bindIContentAssistProcessor, bindIContentProposalPriorities, bindIdeSemanticHighlightingCalculator, bindIEObjectHover, bindIEObjectHoverProvider, bindIFeatureScopeTracker$Provider, bindIGeneratorConfigProvider, bindIHyperlinkHelper, bindUniqueClassNameValidator, bindXbaseUIValidator`

    - ### Methods inherited from class org.eclipse.xtext.common.types.ui.DefaultCommonTypesUiModule

      `bindClassLoaderToInstance, bindDirtyStateEditorSupport, bindITypesProposalProvider, bindIValidationJobScheduler, bindRefactoringResourceSetProvider`

    - ### Methods inherited from class org.eclipse.xtext.ui.DefaultUiModule

      `bindAbstractEditStrategyProvider, bindAdapterFactory, bindAdapterFactoryLabelProvider, bindComposedAdapterFactory$Descriptor$RegistryToInstance, bindContextTypeRegistry, bindCopyQualifiedNameService, bindIAllContainersState$Provider, bindIAnnotationHover, bindIBracePairProvider, bindICharacterPairMatcher, bindICompletionProposalPostProcessor, bindIContentAssistantFactory, bindIContentFormatterFactory, bindIContentOutlinePage, bindIDocumentPartitioner, bindIExternalContentSupport$IExternalContentProvider, bindIHighlightingHelper, bindIHyperlinkDetector, bindIImageDescriptorHelper, bindIImageHelper, bindIIndentationInformation, bindIPartitionTokenScanner, bindIPreferenceStore, bindIPreferenceValuesProvider, bindIPresentationDamager, bindIPresentationRepairer, bindIReconciler, bindIResourceSetProvider, bindISingleLineCommentHelper, bindITextHover, bindITokenScanner, bindIWhitespaceInformationProvider, bindMarkerContributor, bindMarkerTypeProvider, bindOutlineFilterAndSorter$IComparator, bindProjectConfigProvider, bindTemplateStore, configureBracketMatchingAction, configureContentProposalLabelProvider, configureHyperlinkLabelProvider, configureIOutlineContribution$Composite, configureIQuickOutlineContribution$Composite, configureIResourceDescriptionsLiveScope, configureIssueCodesPreferenceInitializer, configureMarkOccurrencesAction, configureSmartCaretPreferenceInitializer, configureToggleLinkWithEditorOutlineContribution, configureToggleSortingOutlineContribution, configureUiEncodingProvider, configureXtextEditorErrorTickUpdater`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule

      `bindProperties, getBindings, tryBindProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EMFPatternLanguageUiModule

          public EMFPatternLanguageUiModule(org.eclipse.ui.plugin.AbstractUIPlugin plugin)

  - ### Method Detail

    - #### configure

          public void configure(com.google.inject.Binder binder)

      Specified by:
        `configure` in interface `com.google.inject.Module`
      Overrides:
        `configure` in class `org.eclipse.xtext.ui.DefaultUiModule`

    - #### bindIJvmModelInferrer

          public java.lang.Class<? extends org.eclipse.xtext.xbase.jvmmodel.IJvmModelInferrer> bindIJvmModelInferrer()

    - #### bindIXtextBuilderParticipant

          public java.lang.Class<? extends org.eclipse.xtext.builder.IXtextBuilderParticipant> bindIXtextBuilderParticipant()

      Overrides:
        `bindIXtextBuilderParticipant` in class `AbstractEMFPatternLanguageUiModule`

    - #### bindISemanticHighlightingCalculator

          public java.lang.Class<? extends org.eclipse.xtext.ui.editor.syntaxcoloring.ISemanticHighlightingCalculator> bindISemanticHighlightingCalculator()

      Overrides:
        `bindISemanticHighlightingCalculator` in class `org.eclipse.xtext.xbase.ui.DefaultXbaseUiModule`

    - #### bindIHighlightingConfiguration

          public java.lang.Class<? extends org.eclipse.xtext.ui.editor.syntaxcoloring.IHighlightingConfiguration> bindIHighlightingConfiguration()

      Overrides:
        `bindIHighlightingConfiguration` in class `org.eclipse.xtext.xbase.ui.DefaultXbaseUiModule`

    - #### bindIEVQGenmodelProvider

          public java.lang.Class<? extends IVQGenmodelProvider> bindIEVQGenmodelProvider()

    - #### bindIEObjectHoverDocumentationProvider

          public java.lang.Class<? extends org.eclipse.xtext.ui.editor.hover.html.IEObjectHoverDocumentationProvider> bindIEObjectHoverDocumentationProvider()

      Overrides:
        `bindIEObjectHoverDocumentationProvider` in class `org.eclipse.xtext.xbase.ui.DefaultXbaseUiModule`

    - #### bindEMFPatternLanguageJavaValidator

          public java.lang.Class<? extends EMFPatternLanguageJavaValidator> bindEMFPatternLanguageJavaValidator()

    - #### bindIIssueCallback

          public java.lang.Class<? extends IIssueCallback> bindIIssueCallback()

    - #### bindIXtextEditorCallback

          public java.lang.Class<? extends org.eclipse.xtext.ui.editor.IXtextEditorCallback> bindIXtextEditorCallback()

      Overrides:
        `bindIXtextEditorCallback` in class `AbstractEMFPatternLanguageUiModule`

    - #### bindIJavaProjectProvider

          public java.lang.Class<? extends org.eclipse.xtext.common.types.access.jdt.IJavaProjectProvider> bindIJavaProjectProvider()

      Overrides:
        `bindIJavaProjectProvider` in class `org.eclipse.xtext.common.types.ui.DefaultCommonTypesUiModule`

    - #### bindIClassLoaderProvider

          public java.lang.Class<? extends IClassLoaderProvider> bindIClassLoaderProvider()

    - #### bindIWorkspaceUtilities

          public java.lang.Class<? extends IWorkspaceUtilities> bindIWorkspaceUtilities()

    - #### bindIGenerationFragmentProvider

          public java.lang.Class<? extends IGenerationFragmentProvider> bindIGenerationFragmentProvider()

    - #### bindIWorkspaceRootToInstance

          public org.eclipse.core.resources.IWorkspaceRoot bindIWorkspaceRootToInstance()

      Overrides:
        `bindIWorkspaceRootToInstance` in class `AbstractEMFPatternLanguageUiModule`

    - #### bindIExtensionRegistry

          public org.eclipse.core.runtime.IExtensionRegistry bindIExtensionRegistry()

    - #### bindTargetPlatformMetamodelLoader

          public java.lang.Class<? extends ITargetPlatformMetamodelLoader> bindTargetPlatformMetamodelLoader()

    - #### bindAnnotationValidatorLoader

          public java.lang.Class<? extends IAnnotationValidatorLoader> bindAnnotationValidatorLoader()

    - #### bindGenmodelMappingLoader

          public java.lang.Class<? extends IGenmodelMappingLoader> bindGenmodelMappingLoader()

    - #### bindITemplateProposalProvider

          public java.lang.Class<? extends org.eclipse.xtext.ui.editor.contentassist.ITemplateProposalProvider> bindITemplateProposalProvider()

      Overrides:
        `bindITemplateProposalProvider` in class `org.eclipse.xtext.ui.DefaultUiModule`

    - #### bindExtensionGenerator

          public java.lang.Class<? extends ExtensionGenerator> bindExtensionGenerator()

    - #### bindIJvmTypeProvider$Factory

          public java.lang.Class<? extends org.eclipse.xtext.common.types.access.IJvmTypeProvider.Factory> bindIJvmTypeProvider$Factory()

      Overrides:
        `bindIJvmTypeProvider$Factory` in class `org.eclipse.xtext.common.types.ui.DefaultCommonTypesUiModule`

    - #### bindAbstractTypeScopeProvider

          public java.lang.Class<? extends org.eclipse.xtext.common.types.xtext.AbstractTypeScopeProvider> bindAbstractTypeScopeProvider()

      Overrides:
        `bindAbstractTypeScopeProvider` in class `org.eclipse.xtext.common.types.ui.DefaultCommonTypesUiModule`

    - #### bindIExpectedPackageNameProvider

          public java.lang.Class<? extends IExpectedPackageNameProvider> bindIExpectedPackageNameProvider()

      Since:
        1.3

    - #### bindIEditedResourceProvider

          public java.lang.Class<? extends org.eclipse.xtext.ui.editor.embedded.IEditedResourceProvider> bindIEditedResourceProvider()

      Since:
        1.3

    - #### bindIResourceForEditorInputFactory

          public java.lang.Class<? extends org.eclipse.xtext.ui.editor.model.IResourceForEditorInputFactory> bindIResourceForEditorInputFactory()

      Overrides:
        `bindIResourceForEditorInputFactory` in class `org.eclipse.xtext.ui.DefaultUiModule`

    - #### bindIShouldGenerate

          public java.lang.Class<? extends org.eclipse.xtext.generator.IShouldGenerate> bindIShouldGenerate()

      Overrides:
        `bindIShouldGenerate` in class `org.eclipse.xtext.ui.DefaultUiModule`

    - #### bindBuilderPreferenceAccess$Initializer

          public java.lang.Class<? extends org.eclipse.xtext.builder.preferences.BuilderPreferenceAccess.Initializer> bindBuilderPreferenceAccess$Initializer()

      Overrides:
        `bindBuilderPreferenceAccess$Initializer` in class `org.eclipse.xtext.xbase.ui.DefaultXbaseUiModule`
      Since:
        1.6

    - #### bindBuilderConfigurationBlock

          public java.lang.Class<? extends org.eclipse.xtext.builder.preferences.BuilderConfigurationBlock> bindBuilderConfigurationBlock()

      Overrides:
        `bindBuilderConfigurationBlock` in class `org.eclipse.xtext.xbase.ui.DefaultXbaseUiModule`
      Since:
        1.6